<?php

	/**
	 * Es la clase que administra el acceso a la aplicación
	 *
	 */
	class AdminController extends ApplicationController {
		
		/**
		 * Voy a utilizar el mismo layout que el controlador posts 
		 * osea views/layouts/posts.phtml
		 *
		 * @var string
		 */
		public $template = "posts";
		
		/**
		 * Accion por defecto del controlador, muestra
		 * la vista views/admin/index.phtml que contiene
		 * el formulario de autenticación
		 *
		 */
		function index(){
						
			
		}
		
		/**
		 * Es la función que realiza la autenticación de un usuario
		 *
		 * @return unknown
		 */
		function autenticar(){
			
			/**
			 * Valido en Users donde login = $this->request('login') que viene
			 * del formulario y clave sea el sha1 de $this->request('clave'), si
			 * encuentra el registro entonces asigno a la variable de sesión
			 * autenticado el valor = true para indicar que el usuario es valido
			 * en la sesión y luego lo redirecciono a el controlador posts
			 */
			if($this->Users->find_first("login = '{$this->request('login')}' and clave =  sha1('{$this->request('clave')}')")){
				Session::set_data('autenticado', true);	
				return $this->route_to('controller: posts');
			} else {
				Flash::error('Usuario/Clave incorrecta');
				$this->route_to('action: index');
			}
			
		}
		
		/**
		 * Termina la sesión, eliminando la variable
		 * de sesión autenticado
		 * 
		 */
		function salir(){
			Session::unset_data('autenticado');
			$this->route_to('action: index');
		}
	
		
	}
		
?>